org.gradle

## Class BuildResultLogger

- java.lang.Object
- - org.gradle.BuildAdapter
  - - org.gradle.BuildResultLogger

- All Implemented Interfaces:
    BuildListener

      public class BuildResultLogger
      extends BuildAdapter

  A `BuildListener` which logs the final result of the build.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildResultLogger(org.gradle.logging.StyledTextOutputFactory textOutputFactory, org.gradle.util.Clock buildTimeClock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFinished(BuildResult result)` Called when the build is completed.

    - ### Methods inherited from class org.gradle.BuildAdapter

      `buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildResultLogger

          public BuildResultLogger(org.gradle.logging.StyledTextOutputFactory textOutputFactory,
                           org.gradle.util.Clock buildTimeClock)

  - ### Method Detail

    - #### buildFinished

          public void buildFinished(BuildResult result)

      Description copied from interface: `BuildListener`

      Called when the build is completed. All selected tasks have been executed.

      Specified by:
        `buildFinished` in interface `BuildListener`
      Overrides:
        `buildFinished` in class `BuildAdapter`
      Parameters:
        `result` - The result of the build. Never null.